<div class="flex flex-col flex-auto items-center sm:min-w-0" style="background-color:#F8F8F8;">
    <div class="w-full max-w-100 mx-auto sm:mx-0">

        <div id="buyGold" class="flex flex-col sm:flex-row sm:flex-wrap sm:mx-6 sm:mt-4">
            <div class="sm:flex-1">
                <div class="text-indigo-900 font-Semibold-40 font-141461 leading-none mt-6 sm:px-6 mb-8" style="text-align:center">Buy
                    Gold</div>
            </div>
        </div>

        <!-- Main -->

        <div class="w-full items-center justify-center max-w-100  mb-10 mx-auto sm:mx-0 box-width">

            <!-- CONTENT GOES HERE -->
            <form action="">
                <div class="relative flex flex-col p-6 mb-10 bg-card rounded-1xl overflow-hidden" style="text-align:left;box-shadow: 0px 0px 6px #0000001A;
                    ">
                    <div class="flex flex-row flex-wrap">
                        <div class="flex flex-col mx-3 my-1">
                            <div class="mt-4 font-Semibold-18 text-green-600 leading-none">
                                <div>Purchase Successful</div>
                            </div>
                            <div class="mt- font-Regular-14 leading-5 font-7B7B7B">You've successfully completed your
                                gold purchase.</div>
                            <div class="relative flex flex-col p-4 pt-5 pl-0">
                                <div class="font-Regular-16 text-zinc-600 text-lg">Reference Number</div>
                                <div class="text-lg font-Medium-16">{{referenceNumber}}</div>
                            </div>
                        </div>

                    </div>

                    <div class="border-t my-2"></div>
                    <div class="relative flex flex-col flex-auto items-center w-auto mb-3">
                        <button class="fuse-mat-button-large w-full button-r5-download mt-3" [color]="'secondary'"
                            style="border:1px solid #0038FF;" mat-flat-button (click)="downloadReceipt()">
                            <span class="font-Semibold-14" style="color: #0038FF;">Download Receipt</span>
                        </button>
                    </div>
                    <div class="border-t my-2"></div>



                    <div class="relative flex flex-col p-4">
                        <div class="font-Semibold-18">Purchase
                            Details</div>
                    </div>
                    <!-- <div class="relative flex flex-col p-4">
                        <div class="font-Regular-16 font-7B7B7B">Invoice Number</div>
                        <div class="font-Semibold-16">Gold</div>
                    </div> -->
                    <div class="relative flex flex-col p-4">
                        <div class="font-Regular-16 font-7B7B7B">Date</div>
                        <div class="font-Semibold-16">{{ today | date:'dd MMMM yyyy - hh:mm:ss a' }}</div>
                    </div>
                    <div class="relative flex flex-col p-4">
                        <div class="font-Regular-16 font-7B7B7B">Price per Gram</div>
                        <div class="font-Semibold-16">RM{{ price | number:'1.2-2' }}/g</div>
                    </div>
                    <div class="relative flex flex-col p-4">
                        <div class="font-Regular-16 font-7B7B7B">Quantity</div>
                        <div class="font-Semibold-16">{{ quantity | number:'.6' }}g</div>
                    </div>
                    <div class="relative flex flex-col p-4">
                        <div class="font-Regular-16 font-7B7B7B">Total Amount</div>
                        <div class="font-Semibold-16">RM{{ netPrice | number:'1.2-2' }}</div>
                    </div>
                    <div class="relative flex flex-col p-4">
                        <div class="font-Regular-16 font-7B7B7B">Transaction Fee {{setupTransFee}}%</div>
                        <div class="font-Semibold-16">RM{{ chargeTransFee | number:'1.2-2' }}</div>
                    </div>
                    <div class="relative flex flex-col p-4">
                        <div class="font-Regular-16 font-7B7B7B">SST {{setupSstFee}}%</div>
                        <div class="font-Semibold-16">RM{{ chargeSstFee | number:'1.2-2' }}</div>
                    </div>
                    <div class="flex items-center mt-2">
                        <div class="flex-auto mt-px border-t"></div>
                    </div>
                    <div class="relative flex flex-col p-4">
                        <div class="font-Regular-16 font-7B7B7B">Total Amount Paid</div>
                        <div class="font-Semibold-16">RM{{ totalPrice | number:'1.2-2' }}</div>
                    </div>
                    <div class="relative flex flex-col flex-auto items-center w-auto mb-3 mt-5">
                        <button class="fuse-mat-button-large w-full button-r5" [color]="'primary'" mat-flat-button
                            [routerLink]="['/dashboard']">
                            <span class="font-Semibold-14">Back to Investor Portfolio</span>
                        </button>
                    </div>
                </div>
            </form>

        </div>
    </div>
</div>